<h1 class="title">Настройка облачной АТС Uiscom</h1>

<p>Откройте личный кабинет Uiscom пользователем с правами администратора и перейдите в настройки
<strong>«Уведомлений»</strong>.</p>

<h2>1. Настройка HTTP уведомлений</h2>
<p>1.1. На открывшейся странице перейдите в раздел <strong>«Уведомления 2.0 (beta)»</strong>:</p>
<p><img src="images/uiscom/nastroyka_uiscom/nastroyka_uiscom_notifycation.jpg" alt="переход в раздер уведомления"></p>

<p>1.2. Нажмите кнопку <strong>«Добавить уведомление»</strong>:</p>
<p><img src="images/uiscom/nastroyka_uiscom/nastroyka_uiscom_new_notifycation.jpg" alt="добавление уведомления"></p>

<p>1.3. Выберите тип события <strong>«Входящий звонок на виртуальный номер»</strong> и заполните остальные
поля формы следующим образом:</p>
<p><img src="images/uiscom/nastroyka_uiscom/nastroyka_uiscom_notifycation_settings.jpg" alt="настройка уведомления"></p>

<table>
	<tr>
		<td><strong>Название</strong></td>
		<td>Входящий звонок на виртуальный номер</td>
	</tr>
	<tr>
		<td><strong>Тип</strong></td>
		<td>Входящий звонок на виртуальный номер</td>
	</tr>
	<tr>
		<td><strong>HTTP</strong></td>
		<td>Вкл</td>
	</tr>
	<tr>
		<td><strong>Метод</strong></td>
		<td>POST</td>
	</tr>
	<tr>
		<td><strong>URL</strong></td>
		<td class="attention">шаблон templates/notifycation_uiscom.html</td>	
	</tr>
	<tr>
		<td><strong>Тело</strong></td>
		<td>{"notification_name":"incoming_call",<br>
"virtual_phone_number":{{virtual_phone_number}},<br>
"notification_time":{{notification_time}},<br>
"call_session_id":"{{call_session_id}}",<br>
"leg_id": {{leg_id}},<br>
"direction":{{direction}},<br>
"call_source":{{call_source}},<br>
"called_phone_number":{{called_phone_number}},<br>
"calling_phone_number":{{calling_phone_number}},<br>
"contact_phone_number":{{contact_phone_number}}}</td>
	</tr>
</table>

<p>1.4. Нажмите кнопку <strong>«Сохранить»</strong>.</p>

<p>1.5. Добавьте остальные события аналогично тому, как описано в пунктах 1.2-1.4:</p>
<p>1.5.1. Добавьте событие «Завершение звонка»</p>

<table>
	<tr>
		<td><strong>Название</strong></td>
		<td>Завершение звонка</td>
	</tr>
	<tr>
		<td><strong>Тип</strong></td>
		<td>Завершение звонка</td>
	</tr>
	<tr>
		<td><strong>HTTP</strong></td>
		<td>Вкл</td>
	</tr>
	<tr>
		<td><strong>Метод</strong></td>
		<td>POST</td>
	</tr>
	<tr>
		<td><strong>URL</strong></td>
		<td class="attention">шаблон templates/notifycation_uiscom.html</td>	
	</tr>
	<tr>
		<td><strong>Тело</strong></td>
		<td>{"notification_name":"finished_call",<br>
"call_session_id":"{{call_session_id}}",<br>
"leg_id": {{leg_id}},<br>
"external_id": {{external_id}},<br>
"notification_time":{{notification_time}},<br>
"direction":{{direction}},<br>
"virtual_phone_number":{{virtual_phone_number}},<br>
"calling_phone_number":{{calling_phone_number}},<br>
"called_phone_number":{{called_phone_number}},<br>
"employee_phone_number":{{employee_phone_number}},<br>
"contact_phone_number":{{contact_phone_number}},<br>
"talk_time_duration": {{talk_time_duration}},<br>
"total_time_duration": {{total_time_duration}},<br>
"wait_time_duration": {{wait_time_duration}},<br>
"record_file_links": {{record_file_links}}}</td>
	</tr>
</table>

<p>1.5.2. Добавьте событие <strong>«Завершение плеча»</strong></p>
<table>
	<tr>
		<td><strong>Название</strong></td>
		<td>Завершение плеча</td>
	</tr>
	<tr>
		<td><strong>Тип</strong></td>
		<td>Завершение плеча</td>
	</tr>
	<tr>
		<td><strong>HTTP</strong></td>
		<td>Вкл</td>
	</tr>
	<tr>
		<td><strong>Метод</strong></td>
		<td>POST</td>
	</tr>
	<tr>
		<td><strong>URL</strong></td>
		<td class="attention">шаблон templates/notifycation_uiscom.html</td>	
	</tr>
	<tr>
		<td><strong>Тело</strong></td>
		<td>{"notification_name":"finished_leg",<br>
"call_session_id":"{{call_session_id}}",<br>
"leg_id": {{leg_id}},<br>
"external_id": {{external_id}},<br>
"notification_time":{{notification_time}},<br>
"direction":{{direction}},<br>
"virtual_phone_number":{{virtual_phone_number}},<br>
"calling_phone_number":{{calling_phone_number}},<br>
"called_phone_number":{{called_phone_number}},<br>
"employee_phone_number":{{employee_phone_number}},<br>
"contact_phone_number":{{contact_phone_number}}}</td>
	</tr>
</table>

<p>1.5.3. Добавьте событие <strong>«Исходящее плечо»</strong></p>
<table>
	<tr>
		<td><strong>Название</strong></td>
		<td>Исходящее плечо</td>
	</tr>
	<tr>
		<td><strong>Тип</strong></td>
		<td>Исходящее плечо</td>
	</tr>
	<tr>
		<td><strong>HTTP</strong></td>
		<td>Вкл</td>
	</tr>
	<tr>
		<td><strong>Метод</strong></td>
		<td>POST</td>
	</tr>
	<tr>
		<td><strong>URL</strong></td>
		<td class="attention">шаблон templates/notifycation_uiscom.html</td>	
	</tr>
	<tr>
		<td><strong>Тело</strong></td>
		<td>{"notification_name":"outgoing_leg",<br>
"call_session_id":"{{call_session_id}}",<br>
"leg_id": {{leg_id}},<br>
"external_id": {{external_id}},<br>
"notification_time":{{notification_time}},<br>
"direction":{{direction}},<br>
"virtual_phone_number":{{virtual_phone_number}},<br>
"calling_phone_number":{{calling_phone_number}},<br>
"called_phone_number":{{called_phone_number}},<br>
"employee_phone_number":{{employee_phone_number}},<br>
"contact_phone_number":{{contact_phone_number}}}</td>
	</tr>
</table>

<p>1.5.4. Добавьте событие <strong>«Исходящий звонок»</strong></p>
<table>
	<tr>
		<td><strong>Название</strong></td>
		<td>Исходящий звонок</td>
	</tr>
	<tr>
		<td><strong>Тип</strong></td>
		<td>Исходящий звонок</td>
	</tr>
	<tr>
		<td><strong>HTTP</strong></td>
		<td>Вкл</td>
	</tr>
	<tr>
		<td><strong>Метод</strong></td>
		<td>POST</td>
	</tr>
	<tr>
		<td><strong>URL</strong></td>
		<td class="attention">шаблон templates/notifycation_uiscom.html</td>	
	</tr>
	<tr>
		<td><strong>Тело</strong></td>
		<td>{"notification_name":"outgoing_call",<br>
"call_session_id":"{{call_session_id}}",<br>
"leg_id": {{leg_id}},<br>
"external_id": {{external_id}},<br>
"notification_time":{{notification_time}},<br>
"direction":{{direction}},<br>
"virtual_phone_number":{{virtual_phone_number}},<br>
"calling_phone_number":{{calling_phone_number}},<br>
"called_phone_number":{{called_phone_number}},<br>
"employee_phone_number":{{employee_phone_number}},<br>
"contact_phone_number":{{contact_phone_number}},<br>
"channel": {{channel}},<br>
"call_source": {{call_source}}}</td>
	</tr>
</table>

<p>1.5.5. Добавьте событие <strong>«Поднятие трубки»</strong></p>
<table>
	<tr>
		<td><strong>Название</strong></td>
		<td>Поднятие трубки</td>
	</tr>
	<tr>
		<td><strong>Тип</strong></td>
		<td></td>
	</tr>
	<tr>
		<td><strong>HTTP</strong></td>
		<td>Вкл</td>
	</tr>
	<tr>
		<td><strong>Метод</strong></td>
		<td>POST</td>
	</tr>
	<tr>
		<td><strong>URL</strong></td>
		<td class="attention">шаблон templates/notifycation_uiscom.html</td>	
	</tr>
	<tr>
		<td><strong>Тело</strong></td>
		<td>{"notification_name":"hook_up",<br>
"call_session_id":"{{call_session_id}}",<br>
"leg_id": {{leg_id}},<br>
"external_id": {{external_id}},<br>
"notification_time":{{notification_time}},<br>
"direction":{{direction}},<br>
"virtual_phone_number":{{virtual_phone_number}},<br>
"calling_phone_number":{{calling_phone_number}},<br>
"called_phone_number":{{called_phone_number}},<br>
"employee_phone_number":{{employee_phone_number}},<br>
"contact_phone_number":{{contact_phone_number}}}</td>
	</tr>
</table>

<p>1.6. Проверьте, что все уведомления созданные вами активны:</p>
<p><img src="images/uiscom/nastroyka_uiscom/nastroyka_uiscom_notifycation_on.jpg" alt="проверка активности уведомлений"></p>

<h2>2. Настройка IP адреса</h2>
<hr>
<p>2.1. Перейдите в раздел <strong>«Call API»</strong></p>
<p>2.2. Перейдите в раздел «IP адреса» и добавьте IP адрес: <strong>91.240.86.69</strong></p>